## org.apache.lucene.search
Class ComplexExplanation

    java.lang.Object
      org.apache.lucene.search.Explanation
          org.apache.lucene.search.ComplexExplanation

All Implemented Interfaces:
  java.io.Serializable

    public class ComplexExplanation

extends Explanation

Expert: Describes the score computation for document and query, and can distinguish a match independent of a positive value.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.search.Explanation
`Explanation.IDFExplanation`

Constructor Summary
`ComplexExplanation()`
`ComplexExplanation(boolean match, float value, java.lang.String description)`

Method Summary
`java.lang.Boolean` `getMatch()` The match status of this explanation node.
`protected java.lang.String` `getSummary()` A short one line summary which should contain all high level information about this Explanation, without the "Details"
`boolean` `isMatch()` Indicates whether or not this Explanation models a good match.
`void` `setMatch(java.lang.Boolean match)` Sets the match status assigned to this explanation node.

Methods inherited from class org.apache.lucene.search.Explanation
`addDetail, getDescription, getDetails, getValue, setDescription, setValue, toHtml, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ComplexExplanation

    public ComplexExplanation()

### ComplexExplanation

    public ComplexExplanation(boolean match,
                              float value,
                              java.lang.String description)

Method Detail

### getMatch

    public java.lang.Boolean getMatch()

  The match status of this explanation node.

  Returns:
    May be null if match status is unknown

### setMatch

    public void setMatch(java.lang.Boolean match)

  Sets the match status assigned to this explanation node.

  Parameters:
    `match` - May be null if match status is unknown

### isMatch

    public boolean isMatch()

  Indicates whether or not this Explanation models a good match.

  If the match status is explicitly set (i.e.: not null) this method uses it; otherwise it defers to the superclass.

  Overrides:
    `isMatch` in class `Explanation`
  See Also:
    `getMatch()`

### getSummary

    protected java.lang.String getSummary()

  Description copied from class: `Explanation`
  A short one line summary which should contain all high level information about this Explanation, without the "Details"

  Overrides:
    `getSummary` in class `Explanation`

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.